| Home | Libraries | People | FAQ | More

###### params_view::find_last (2 of 2 overloads)

(Inherited from `params_base`)

Find a matching key.

###### Synopsis

    iterator
    find_last(
        iterator before,
        core::string_view key,
        ignore_case_param ic = {}) const;

###### Description

This function examines the parameters in the container to find a match for the specified key. The comparison is performed as if all escaped characters were decoded first.

The search starts prior to `before` and proceeds backwards until either the key is found or the beginning of the range is reached, in which case `end()` is returned.

###### Example

    url_view u( "?First=John&Last=Doe" );

    assert( u.params().find_last( "last" ) != u.params().find_last( "last" , ignore_case ) );

###### Complexity

Linear in `this->buffer().size()`.

###### Return Value

an iterator to the param

###### Parameters

Name | Description
--- | ---
`before` | One past the position to begin the search from. This can be `end()`.
`key` | The key to match. By default, a case-sensitive comparison is used.
`ic` | An optional parameter. If the value `ignore_case` is passed here, the comparison is case-insensitive.